hsm_module_t Struct Reference

`#include <libhsm.h>`

## Data Fields

unsigned int | id
char * | name
char * | token_label
char * | path
void * | handle
void * | sym
hsm_config_t * | config

## Detailed Description

Data type to describe an HSM

Definition at line 85 of file libhsm.h.

## Field Documentation

## config

hsm_config_t* hsm_module_t::config

optional per HSM configuration

Definition at line 92 of file libhsm.h.

Referenced by hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), and hsm_generate_rsa_key().

## handle

void* hsm_module_t::handle

handle from dlopen()

Definition at line 90 of file libhsm.h.

## id

unsigned int hsm_module_t::id

HSM numerical identifier

Definition at line 86 of file libhsm.h.

## name

char* hsm_module_t::name

name of repository

Definition at line 87 of file libhsm.h.

Referenced by hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), hsm_generate_rsa_key(), hsm_print_session(), and hsm_print_tokeninfo().

## path

char* hsm_module_t::path

path to PKCS#11 library

Definition at line 89 of file libhsm.h.

Referenced by hsm_print_session(), and hsm_print_tokeninfo().

## sym

void* hsm_module_t::sym

Function list from dlsym

Definition at line 91 of file libhsm.h.

Referenced by hsm_check_context(), hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), hsm_generate_rsa_key(), hsm_print_session(), hsm_print_tokeninfo(), hsm_random_buffer(), and hsm_remove_key().

## token_label

char* hsm_module_t::token_label

label of the token

Definition at line 88 of file libhsm.h.

Referenced by hsm_print_session(), and hsm_print_tokeninfo().

The documentation for this struct was generated from the following file:

- src/lib/libhsm.h